import {calculateTaskPosition} from './calculateTaskPosition'

it('should calculate the task position', () => {
	const result = calculateTaskPosition(10, 100)
	expect(result).toBe(55)
})
it('should return 0 if no position was provided', () => {
	const result = calculateTaskPosition(null, null)
	expect(result).toBe(0)
})
it('should calculate the task position for the first task', () => {
	const result = calculateTaskPosition(null, 100)
	expect(result).toBe(50)
})
it('should calculate the task position for the last task', () => {
	const result = calculateTaskPosition(10, null)
	expect(result).toBe(65546)
})
